List available deposit tokens
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tokens": [
{
"symbol": "EURe",
"name": "Monerium EURe",
"decimals": 18,
"chain_id": 100,
"chain_name": "gnosis",
"contract_address": "0x420ca0f9b9b604ce0fd9c18ef134c705e5fa3430"
},
{
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"chain_id": 100,
"chain_name": "gnosis",
"contract_address": "0x2a22f9c3b484c3629090feed35f17ff8f88f76f0"
}
]
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Accounts
List available deposit tokens
Lists tokens that can be deposited into the account on its configured chain.
Use the returned contract addresses and decimals when presenting deposit options. This endpoint describes supported tokens; it does not return the account’s current balances.
GET
/
v1
/
accounts
/
{account_id}
/
available-tokens
List available deposit tokens
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/available-tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tokens": [
{
"symbol": "EURe",
"name": "Monerium EURe",
"decimals": 18,
"chain_id": 100,
"chain_name": "gnosis",
"contract_address": "0x420ca0f9b9b604ce0fd9c18ef134c705e5fa3430"
},
{
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"chain_id": 100,
"chain_name": "gnosis",
"contract_address": "0x2a22f9c3b484c3629090feed35f17ff8f88f76f0"
}
]
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}